diff scripts/gen-sms-deliver-pdu @ 13:b8d8f8a3cdb7

scripts: wrappers for network-side SMS-DELIVER PDU generation
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 27 Aug 2023 05:11:21 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/gen-sms-deliver-pdu	Sun Aug 27 05:11:21 2023 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+	echo "usage: $0 from-number [options]" 1>&2
+	exit 1
+fi
+
+(sms-deliver-pdu-hdr "$@"; cat) | sms-gen-tpdu mt